The Battles of the Third Age (BOTTA) mod is a mod for The Battle for Middle Earth - The Rise of the Witch King. This mod tends to follow the lore of books and films along with bringing the realism in the gameplay, and generally concentrates of the happenings in the Third age of Middle Earth

Add file Report Battles of the Third Age - 3.0 Alpha version
Filename
BOTTA_3.0_Alpha.rar
Category
Full Version
Uploader
MorguLord
Added
Size
1.08gb (1,163,226,053 bytes)
Downloads
641 (34 today)
MD5 Hash
deca293d57a4289238808226c3968c75
Embed Button
Embed Widget
Description

This is the Alpha version of BOTTA Mod. Contains all required files.

Preview
Battles of the Third Age - 3.0 Alpha version
Comments
Glorfindel23
Glorfindel23

Great, I test it right now!

Reply Good karma Bad karma+2 votes
Glorfindel23
Glorfindel23

After some hours of game I can say you good work! I enjoyed the novelties.

Reply Good karma Bad karma+3 votes
Guest
Guest

i love u morgulord

Reply Good karma Bad karma+3 votes
$rle
$rle

it works..great job..worth of waiting thx guys :)

Reply Good karma Bad karma+2 votes
Rothnaric
Rothnaric

Awesome my friend. do I have this version from back when I was testing?

Reply Good karma Bad karma+2 votes
MorguLord Author
MorguLord

nope, that was long time ago, this is completely new files :)

Reply Good karma+2 votes
Rothnaric
Rothnaric

Awesome man!!! thanx for making my week great!! I am so happy you have returned!

Reply Good karma Bad karma+2 votes
Adrito
Adrito

I can`t update armor and forged blades

Reply Good karma Bad karma0 votes
MorguLord Author
MorguLord

Bring the units near armory...

Reply Good karma+3 votes
Adrito
Adrito

I had forgotten ... thanks man.
Great work!

Reply Good karma Bad karma0 votes
Guest
Guest

Hey, i have downloded the game and I followed the instruction but, the game is opening with ROTW and not opening with BOTTA Mod how can I fix that plz? than you in advance

Reply Good karma Bad karma0 votes
Samuli11
Samuli11

download Botta to C drive. Then copy paste the the targer and workfile from Rice of the Witchking and then open same with Botta and add -mod C:\BOTTA To target only.
So for example my target looks like this "C:\Program Files (x86)\Electronic Arts\The Lord of the Rings, The Rise of the Witch-king\lotrbfme2ep1.exe" -mod C:\BOTTA
and working file "C:\Program Files (x86)\Electronic Arts\The Lord of the Rings, The Rise of the Witch-king"

Reply Good karma Bad karma+1 vote
tiger.ace
tiger.ace

Hello , can you help me plz i have a prob, i downloaded the BOTTA mod normaly and when I open it its open with ROWT and when i start to play, any change exist in races, that’s means its open with ROTW and not BOTTA Mod . Thank you

Reply Good karma Bad karma0 votes
super71
super71

Skirmish does not work for some reason, I have edain installed but disabled.

Reply Good karma Bad karma+1 vote
Elladan2605
Elladan2605

Delete the created heroes from the edain mod, then it should work.

Reply Good karma Bad karma+1 vote
super71
super71

Do I need the old version or the patch to play this also ?

Reply Good karma Bad karma+1 vote
MorguLord Author
MorguLord

You only need 2.01 patch for Rise of the Witch - King

Reply Good karma+1 vote
Samuli11
Samuli11

hey have some problems: How do i unlock Mirkwood and other elves?
I only can get Lotholorien why?
And after 50mins game freeses and says out of memory happens only with this mod.
Overall great mod!

Reply Good karma Bad karma+1 vote
Elladan2605
Elladan2605

Reduce your graphic settings especially turn the texture details to medium and the shadows off. Further reduce the settibgs if it happens again.

Reply Good karma Bad karma+2 votes
Samuli11
Samuli11

thanks!

Reply Good karma Bad karma+2 votes
MorguLord Author
MorguLord

Mirkwood is not in the mod currently

Reply Good karma+1 vote
Samuli11
Samuli11

oh ok, but why I am able to get Legolas on certain maps only?

Reply Good karma Bad karma+1 vote
MorguLord Author
MorguLord

You can play as Legolas in WOTR

Reply Good karma+1 vote
AngeIl
AngeIl

game crash
iniParseObjectFilter expecting a + or- token as it is required for classification. Instead it found CRIPPLE_STRIK_OBJECT_FILTER_MELEE
WTF?
Help me

Reply Good karma Bad karma+1 vote
MorguLord Author
MorguLord

patch your ROTWK with 2.01 patch Gamereplays.org

Reply Good karma+1 vote
adrrr
adrrr

Can I play this mod with Age of the Ring mod?

Reply Good karma Bad karma+1 vote
adrrr
adrrr

This software could not find the required user interface DLL.Please reinstall the software and try again.
HELP ME :)))

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
Battle for Middle-earth II: Rise of the Witch King
Creator
MorguLord
Contact
Send Message
Release date
Mod watch
Follow
File
Browse
Files
New
Add file
Report
Report
Share
Related Games